Orgs Broadcasts
Update Broadcast Field
Update a specific field for a broadcast.
PATCH
/
orgs
/
{org_id}
/
broadcasts
/
{broadcast_id}
/
fields
/
{field_id}
Update Broadcast Field
curl --request PATCH \
--url https://api.useinvent.com/orgs/{org_id}/broadcasts/{broadcast_id}/fields/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"default_value": "<string>"
}
'import requests
url = "https://api.useinvent.com/orgs/{org_id}/broadcasts/{broadcast_id}/fields/{field_id}"
payload = {
"key": "<string>",
"default_value": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', default_value: '<string>'})
};
fetch('https://api.useinvent.com/orgs/{org_id}/broadcasts/{broadcast_id}/fields/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"broadcast_id": "<string>",
"key": "<string>",
"default_value": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication using your API key
Path Parameters
Org ID
Broadcast ID
Field ID
Body
application/jsonmultipart/form-data
Was this page helpful?
Previous
Schedule a Marketing BroadcastQueue a marketing broadcast for delivery. Fires immediately when the broadcast has no scheduled_at, otherwise waits for the scheduled time. Can only be called on broadcasts in DRAFT, CANCELLED or FAILED status.
Next
⌘I
Update Broadcast Field
